%define name		xmlrpc-epi
%define version		0.51
%define release		%mkrel 7

%define lib_major	0
%define lib_name_orig	xmlrpc
%define lib_name	%mklibname %{lib_name_orig} %{lib_major}

Summary:	An implementation of the XML-RPC protocol in C
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group: 		System/Libraries
BuildRoot:	%_tmppath/%name-%version-%release-root
URL:		http://xmlrpc-epi.sourceforge.net/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		xmlrpc-epi-0.51-64bit-fixes.patch.bz2
Patch1:		xmlrpc-epi-0.51-gcc4.patch.bz2

%description
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It provides an 
easy to use API for developers to serialize RPC requests to and from XML.
It does *not* include a transport layer, such as HTTP. The API is primarily
based upon proprietary code written for internal usage at Epinions.com, and
was later modified to incorporate concepts from the xmlrpc protocol.

%package -n %{lib_name} 
Summary:	Library providing XMLPC support in C
Group: 		System/Libraries
%if "%{_lib}" != "lib"
Conflicts:	libxmlrpc0 < 0.51-7mdk
%endif

%description -n %{lib_name}
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It provides an 
easy to use API for developers to serialize RPC requests to and from XML.
It does *not* include a transport layer, such as HTTP. The API is primarily
based upon proprietary code written for internal usage at Epinions.com, and
was later modified to incorporate concepts from the xmlrpc protocol.
 
%package -n %{lib_name}-devel
Summary: Libraries, includes, etc. to develop XML and HTML applications
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: lib%{lib_name_orig}-devel = %{version}
%if "%{_lib}" != "lib"
Conflicts: libxmlrpc0-devel < 0.51-7mdk
%endif

%description -n %{lib_name}-devel
xmlrpc-epi is an implementation of the xmlrpc protocol in C. It provides an
easy to use API for developers to serialize RPC requests to and from XML.
It does *not* include a transport layer, such as HTTP. The API is primarily
based upon proprietary code written for internal usage at Epinions.com, and
was later modified to incorporate concepts from the xmlrpc protocol.

%prep
%setup -q
%patch0 -p1 -b .64bit-fixes
%patch1 -p1 -b .gcc4

# Make it lib64 aware
find . -name Makefile.in | xargs perl -pi -e "s,-L\@prefix\@/lib,,g"
perl -pi -e "s,-L/usr/local/lib\b,," configure

%build
%configure2_5x

#cp %{_datadir}/automake-1.6/depcomp .

#don't use parallel compilation, it is broken 
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_bindir}/{client,hello_{client,server},memtest,sample,server{,_compliance_test}}

%clean
rm -rf $RPM_BUILD_ROOT


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc INSTALL
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/lib*.a

%changelog
* Tue Aug  9 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.51-7mdk
- gcc4 & mklibname fixes
- drop provides libxmlrpc

* Fri Aug 13 2004 Pixel <pixel@mandrakesoft.com> 0.51-6mdk
- rebuild

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.51-5mdk
- rebuild

* Sun Dec  8 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.51-4mdk
- Usual and famous JC-lib64
- Patch0: assorted fixes, mostly for 64-bit architectures

* Mon Oct 28 2002 Pixel <pixel@mandrakesoft.com> 0.51-3mdk
- remove the sample binaries from libxmlrpc0-devel, also remove the conflict
with memtester (not needed anymore)
- remove BuildRequires on automake1.6 (not needed, we don't need to call
automake since we don't apply any patches), remove copying "depcomp"
- rename spec file name to %%{name}.spec

* Wed Aug 07 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.51-2mdk
- fix conflict with memtester.

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.51-1mdk
- new version 0.51.

* Wed May 22 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.50-2mdk
- BuildRequires on automake1.6

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.50-1mdk
- initial mandrake release.

